# -*- coding: utf-8 -*-

# Copyright 2020 Whitestack, LLC
# *************************************************************
#
# This file is part of OSM LCM module
# All Rights Reserved to Whitestack, LLC
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
#
# For those usages not covered by the Apache License, Version 2.0 please
# contact: fbravo@whitestack.com or agarcia@whitestack.com
##


from osm_lcm.data_utils.database.database import Database


class VimAccountDB:
    db = None

    @classmethod
    def get_vim_account_with_id(cls, vim_account_id):
        if not cls.db:
            cls.initialize_db()
        return cls.db.get_one("vim_accounts", {"_id": vim_account_id}) or {}

    @classmethod
    def initialize_db(cls):
        cls.db = Database().instance.db
